Managed interfaces do not create proper DNS records
03/09/2014 12:45 AM - Trey Dockendorf
Description

A host's managed interfaces, including BMC, create invalid PTR DNS records and do not create A records. This is due to the DNS
record for the interface using it's short name (no domain name appended).

Related issues:

Related to Foreman - Bug #2750: DNS record for BMC interface don't append dom... Duplicate 07/05/2013
Related to Foreman - Tracker #5409: DNS Proxy Improvements New
Related to Foreman - Bug #6374: NIC with domain but no hostname tries to crea... Closed 06/25/2014

Associated revisions

Revision 21e07e92 - 04/28/2014 10:55 AM - Trey Dockendorf
fixes #4599 - DNS and DHCP records for BMC and managed interfaces not using FQDN

Revision 0ef59e67 - 04/28/2014 11:51 AM - Trey Dockendorf
fixes #4599 - DNS and DHCP records for BMC and managed interfaces not using FQDN

(cherry picked from commit 21e07e92ca2d0341a09de48fadfa95625f6d9f55)

History

#1 - 03/09/2014 12:52 AM - Trey Dockendorf

This also effects DHCP records created for managed interfaces.
Example from rails console:

irb (main) :005:0> host = Host.find_by_name ('vm0l.DOMAIN')

Host::Managed Load (0.3ms) SELECT “hosts  .* FROM "hosts’ WHERE "hosts . type’ IN ('Host::Managed') AND " hos
ts'. name’ = 'vmOl.DOMAIN' LIMIT 1
=> #<Host::Managed id: 60, name: "vmOl.DOMAIN", ip: "192.168.202.101", last_compile: "2014-02-14 18:43:52", la
st_freshcheck: nil, last_report: "2014-02-14 18:43:41", updated_at: "2014-02-14 18:44:04", source_file_id: nil
, created_at: "2014-01-16 19:53:48", mac: "00:30:48:bc:98:1e", root_pass: nil, serial: nil, puppet_status: 124
1522176, domain_id: 1, architecture_id: 1, operatingsystem_id: 8, environment_id: 2, subnet_id: 1, ptable_id:
13, medium_id: 7, build: false, comment: "", disk: "", installed_at: "2014-02-14 01:24:53", model_id: 4, hostg
roup_id: 26, owner_id: nil, owner_type: nil, enabled: true, puppet_ca_proxy_id: 1, managed: true, use_image: n
il, image_file: nil, uuid: nil, compute_resource_id: nil, puppet_proxy_id: 1, certname: "vmOl.DOMAIN", image_i

d: nil, organization_id: nil, location_id: nil, type: "Host::Managed", compute_profile_id: nil>
irb(main) :006:0> host.dns_a_record

Domain Load (0.2ms) SELECT "domains’.* FROM “domains’® WHERE “domains’ . id’ = 1 ORDER BY domains.name LIMIT
1

SmartProxy Load (0.lms) SELECT " smart_proxies  .* FROM "~smart_proxies® WHERE " smart_proxies . id’ = 1 ORDER

BY smart_proxies.name LIMIT 1
=> vm01.DOMAIN/192.168.202.101
irb(main) :007:0> host.dns_ptr_record
Subnet Load (0.2ms) SELECT " subnets’.* FROM " subnets’ WHERE " subnets’ . id® = 1 ORDER BY vlanid LIMIT 1
SmartProxy Load (0.lms) SELECT "smart_proxies .* FROM " smart_proxies' WHERE " smart_proxies . id" = 1 ORDER
BY smart_proxies.name LIMIT 1
=> 192.168.202.101/vm01.DOMAIN
irb(main) :008:0> interface = host.interfaces.first
Nic::Base Load (0.3ms) SELECT ‘“nics' .* FROM ‘nics’ WHERE ‘nics'. host_id® = 60 LIMIT 1
=> #<Nic::BMC id: 34, mac: "00:30:48:bc:98:20", ip: "192.168.206.101", type: "Nic::BMC", name: "vmOl-bmc", hos
t_id: 60, subnet_id: 2, domain_id: 1, attrs: {:username=>"ADMIN", :password=>"ADMIN", :provider=>"IPMI"}, crea
ted_at: "2014-01-16 19:54:41", updated_at: "2014-01-16 19:54:41">
irb (main) :009:0> interface.dns_a_record

Domain Load (0.2ms) SELECT ‘domains’ .* FROM “domains’ WHERE “domains’ . id’ = 1 ORDER BY domains.name LIMIT

SmartProxy Load (0.lms) SELECT " smart_proxies .* FROM " smart_proxies® WHERE " smart_proxies . id = 1 ORDER
BY smart_proxies.name LIMIT 1

Host::Managed Load (0.lms) SELECT “hosts .* FROM “hosts® WHERE “hosts’ . type  IN ('Host::Managed') AND " hos
ts' . id® = 60 LIMIT 1
=> vm0l-bmc/192.168.206.101
irb(main) :010:0> interface.dns_ptr_record

Subnet Load (0.2ms) SELECT " subnets’ .* FROM " subnets’ WHERE "~subnets' . id’ = 2 ORDER BY vlanid LIMIT 1

SmartProxy Load (0.2ms) SELECT ~smart_proxies .* FROM " smart_proxies’' WHERE " smart_proxies . id" = 1 ORDER
BY smart_proxies.name LIMIT 1
=> 192.168.206.101/vm0l-bmc
irb(main) :011:0> host.dhcp_record

SmartProxy Load (0.3ms) SELECT " smart_proxies  .* FROM "~ smart_proxies® WHERE " smart_proxies . id = 1 ORDER
BY smart_proxies.name LIMIT 1

Operatingsystem Load (0.lms) SELECT "operatingsystems’ .* FROM " operatingsystems’ WHERE operatingsystems’ .’
id® = 8 ORDER BY operatingsystems.name LIMIT 1

SmartProxy Load (0.2ms) SELECT " smart_proxies .* FROM "~ smart_proxies'® WHERE " smart_proxies . id’
BY smart_proxies.name LIMIT 1
=> vm01.DOMAIN-00:30:48:bc:98:1e/192.168.202.101
irb(main) :012:0> interface.dhcp_record

SmartProxy Load (0.2ms) SELECT "smart_proxies' .* FROM " smart_proxies’' WHERE " smart_proxies’ . id’
BY smart_proxies.name LIMIT 1
=> vm01l-bmc-00:30:48:bc:98:20/192.168.206.101
#2 - 03/09/2014 12:53 AM - Trey Dockendorf
- Related to Bug #2750: DNS record for BMC interface don't append domain name added

#3 - 04/23/2014 02:29 PM - Trey Dockendorf

- Assignee set to Trey Dockendorf

#4 - 04/23/2014 02:35 PM - Stephen Benjamin
- Related to Tracker #5409: DNS Proxy Improvements added

#5 - 04/24/2014 07:59 AM - Dominic Cleal
- Status changed from New to Ready For Testing

- Target version set to 1.8.4

https://github.com/theforeman/foreman/pull/1399

#6 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#7 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#8 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#9 - 04/28/2014 10:55 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#10 - 04/28/2014 11:31 AM - Trey Dockendorf
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 21e07e92ca2d0341a09de48fadfa95625f6d9f55.

#11 - 06/25/2014 08:47 AM - Dominic Cleal
https://github.com/theforeman/foreman/pull/1399
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/21e07e92ca2d0341a09de48fadfa95625f6d9f55

- Related to Bug #6374: NIC with domain but no hostname tries to create ".domain.com" DNS record added
